> For the complete documentation index, see [llms.txt](https://developer.perculus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.perculus.com/v2-en/services/session-management/session-filter.md).

# Searching Sessions

<table data-full-width="false"><thead><tr><th width="155">Parameter</th><th width="126">Type</th><th>Description</th></tr></thead><tbody><tr><td>session_id</td><td>string</td><td>Session's GUID</td></tr><tr><td>name</td><td>string</td><td>Session's name</td></tr><tr><td>description</td><td>string</td><td>Session's description</td></tr><tr><td>tags</td><td>string</td><td>A comma separated list of tags</td></tr><tr><td>duration</td><td>integer</td><td>Session duration in minutes.</td></tr><tr><td>begin_date</td><td>string</td><td>Beginning date to filter by start date of the session</td></tr><tr><td>end_date</td><td>string</td><td>Ending date to filter by start date of the session</td></tr><tr><td>page_number</td><td>integer</td><td>Page size</td></tr><tr><td>page_size</td><td>integer</td><td>Page number</td></tr></tbody></table>

**Below is an example of session filtering:**

{% tabs %}
{% tab title="CURL" %}

```bash
curl -L -X POST 'https://<DOMAIN>/api/groups/xapi/session/search' \
-H 'Content-Type: application/json' \
-d '{
    "begin_date": "2025-08-05",
    "end_date": "2025-09-05",
    "page_number": 1,
    "page_size": 10
}'
```

{% endtab %}

{% tab title="Python" %}

```python
client.sessions.search_session({
    "begin_date": "2025-08-05",
    "end_date": "2025-09-05",
    "page_number": 1,
    "page_size": 10
});
```

{% endtab %}
{% endtabs %}

**Example response:**

```json
[
    {
        "session_guid": "61E3D504-13EE-447F-9B36-6686C5C39FEB",
        "name": "Web Development 101",
        "description": "Let's learn the fundemental technologies used in Web Development",
        "tags": null,
        "start_date": "2025-08-05T12:00:00+03:00",
        "timezone": "Europe/Istanbul",
        "duration": 100,
        "lang": "en-US",
        "status": 1,
        "replay_status": 0,
        "options": {
            "allow_rating": true,
            "preparation_time": 15,
            "session_duration": 100,
            "chat": {
                "offMessageModule": false,
                "offGeneralMsging": false,
                "offGeneralMsgLimitForUser": false,
                "offSpecialMsging": false,
                "offSpecialMsgToAdmin": false,
                "offSpecialMsgToUser": false,
                "offNewMsgSound": false,
                "offClearForReplay": false,
                "onNewMsgSoundInAll": false,
                "onNewMsgNotifyInAll": false
            },
            "duration": {
                "allowExtendTime": true,
                "useRemainingTime": false
            },
            "allow_users_stream_self_cam_mic": true,
            "hide_user_streams": false,
            "enable_attendance_check": true,
            "enable_simultaneous_interpretation": false,
            "enable_simultaneous_interpretation_for_users": false,
            "start_active": false,
            "return_url": "",
            "allow_reactions": true,
            "enable_recording_auto_start": null,
            "skip_approval_on_join": null,
            "enable_session_auto_start": null,
            "enable_session_auto_finish": null
        },
        "creation_date": "2025-02-06T12:23:48.490759+00:00",
        "updating_date": "2025-02-06T13:25:07.50595+00:00"
    },
    {
        "session_guid": "9DDA6E4D-BE1B-460E-9AFB-86F6D07009D9",
        "name": "CS201",
        "description": "Let's learn the fundemental technologies used in Web Development",
        "tags": null,
        "start_date": "2025-08-05T12:00:00+03:00",
        "timezone": "Europe/Istanbul",
        "duration": 120,
        "lang": "en-US",
        "status": 1,
        "replay_status": 0,
        "options": {
            "allow_rating": true,
            "preparation_time": 15,
            "session_duration": 120,
            "chat": {
                "offMessageModule": false,
                "offGeneralMsging": false,
                "offGeneralMsgLimitForUser": false,
                "offSpecialMsging": false,
                "offSpecialMsgToAdmin": false,
                "offSpecialMsgToUser": false,
                "offNewMsgSound": false,
                "offClearForReplay": false,
                "onNewMsgSoundInAll": false,
                "onNewMsgNotifyInAll": false
            },
            "duration": {
                "allowExtendTime": true,
                "useRemainingTime": false
            },
            "allow_users_stream_self_cam_mic": true,
            "hide_user_streams": false,
            "enable_attendance_check": true,
            "enable_simultaneous_interpretation": false,
            "enable_simultaneous_interpretation_for_users": false,
            "start_active": false,
            "return_url": "",
            "allow_reactions": true,
            "enable_recording_auto_start": null,
            "skip_approval_on_join": null,
            "enable_session_auto_start": null,
            "enable_session_auto_finish": null
        },
        "creation_date": "2025-02-06T13:25:07.50595+00:00",
        "updating_date": "2025-02-06T13:25:07.50595+00:00"
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.perculus.com/v2-en/services/session-management/session-filter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
